鱼摆摆
2015-03-07 17:57
采纳率: 100%
浏览 6.0k

python2.7安装sklearn报错:ImportError: DLL load failed

import sklearn
报错:
Traceback (most recent call last):
File "", line 1, in
import sklearn
File "D:\Python27\lib\site-packages\scikit_learn-0.15.2-py2.7-win-amd64.egg\sklearn__init__.py", line 38, in
from .base import clone
File "D:\Python27\lib\site-packages\scikit_learn-0.15.2-py2.7-win-amd64.egg\sklearn\base.py", line 10, in
from scipy import sparse
File "D:\Python27\lib\site-packages\scipy\sparse__init__.py", line 182, in
from .csr import *
File "D:\Python27\lib\site-packages\scipy\sparse\csr.py", line 15, in
from .sparsetools import csr_tocsc, csr_tobsr, csr_count_blocks, \
File "D:\Python27\lib\site-packages\scipy\sparse\sparsetools__init__.py", line 5, in
from .csr import *
File "D:\Python27\lib\site-packages\scipy\sparse\sparsetools\csr.py", line 26, in
_csr = swig_import_helper()
File "D:\Python27\lib\site-packages\scipy\sparse\sparsetools\csr.py", line 22, in swig_import_helper
_mod = imp.load_module('_csr', fp, pathname, description)
ImportError: DLL load failed: %1 不是有效的 Win32 应用程序。

用的python2.7.9,我已经安装了numpy1.9.1,scipy0.12.0,sklearn0.15.1,这些都是支持64位系统的,遇到这个问题我该怎么办

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 邀请回答

2条回答 默认 最新

  • oyljerry 2015-03-08 00:44
    已采纳

    看各个库官方是否支持Windows 64位os。有库dll加载不起来。

    点赞 评论
  • 鱼摆摆 2015-03-08 16:34

    不太懂os,但是从网上搜集了一些资料大多是讲需要所有模块都是支持64位的版本才行,看了看没有什么问题,主要是scipy.sparse这个类在加载的时候会报错,低版本的0.12.0和高版本的0.15.0都试过了,还是在这个地方报错,无奈了

    点赞 评论

相关推荐 更多相似问题